import os


def get_folder_statistics(folder_path):
    try:
        items = os.listdir(folder_path)
        total_files = 0
        file_types = {}
        total_size = 0
        for item in items:
            item_path = os.path.join(folder_path, item)
            if os.path.isfile(item_path):
                # get all files count
                total_files += 1
                # get extension and tedade oon extension
                file_extension = os.path.splitext(item)[1].lower()
                file_types[file_extension] = file_types.get(file_extension, 0) + 1
                # mohasebe size file
                total_size += os.path.getsize(item_path)

        print(f"Total files: {total_files}")
        print(f"File types: {file_types}")
        print(f"Total size: {total_size / (1024 * 1024):.2f} MB")

    except Exception as e:
        print(f'An error occurded: {e}')

foler_path = input("Enter the folder path: ")
get_folder_statistics(foler_path)
